import chimera, numpy
from chimera import runCommand
from numpy import array as ar
from StructBio.Scenographics.solids import Solids
from StructBio.Utilities.miscFunctions import colorByName

runCommand("set bg_color white")

slds = Solids()

slds.addStrut(ar((0., 10., 0.)), ar((6., 10., 0.)), .3, colorByName("deep sky blue"))
slds.addTube(ar((0., 9., 0.)), ar((6., 9., 0.)), .3, colorByName("light green"))
slds.addSpindle(ar((0., 8., 0.)), ar((6., 8., 0.)), .2, colorByName("rosy brown"))
slds.addArrow(ar((0., 7., 0.)), ar((6., 7., 0.)), .2, colorByName("dark khaki"))
slds.addSphere(ar((3., 6., 0.)), .6, colorByName("firebrick"))
slds.addCube(ar((3., 5., 0.)), .7, colorByName("slate gray"))
slds.addBox(ar((3., 4., 0.)), (2., 1., 3.), colorByName("spring green"))
slds.addDisk(ar((3., 3., 0.)), ar((0., 1., 0.)), .2, 2., colorByName("olive drab"))

slds.display()
