import chimera, numpy
from chimera import runCommand
from numpy import array
from StructBio.Utilities.miscFunctions import colorByName
from StructBio.Scenographics.solids import Solids

runCommand("set bg_color white")

solids = Solids("Platonic solids")

s1 = (10. + 2.*5.**.5)**.5; s2 = (10. - 2.*5.**.5)**.5
c1 = 5.**.5 - 1.; c2 = -5.**.5 - 1.
h1 = 1.; h2 = 2.; h3 = 3.; h4 = 4.; h5 = 5.
ah1 = array([0., 0., h1]); ah2 = array([0., 0., h2]); ah3 = array([0., 0., h3]);
ah4 = array([0., 0., h4]); ah5 = array([0., 0., h5]) 
p1 = array([s1, c1, 0.0]); p2 = array([s2, c2, 0.0]); p3 = array([-s2, c2, 0.0])
p4 = array([-s1, c1, 0.0]); p5 = array([0.0, 4.0, 0.0])


solids.addDisk(array([0.0, 0.0, 0.0]), array([0.0, 0.0, 1.0]), 0.2, 7.0, colorByName('sienna'))
#solids.addSphere(array([0.0, 0.0, 10.0]), 1., colorByName('gold')) # Shadowy sun version

solids.addStrut(p1, p1 + ah1, 0.05*h1, colorByName('light green'))
solids.addTetrahedron(p1 + ah1, h1/3, colorByName('pink'))

solids.addStrut(p2, p2 + ah2, 0.05*h2, colorByName('spring green'))
solids.addHexahedron(p2 + ah2, h2/4, colorByName('plum'))

solids.addStrut(p3, p3 + ah3, 0.05*h3, colorByName('sea green'))
solids.addOctahedron(p3 + ah3, h3/3, colorByName('violet red'))

solids.addStrut(p4, p4 + ah4, 0.05*h4, colorByName('forest green'))
solids.addDodecahedron(p4 + ah4, h4/4, colorByName('magenta'))

solids.addStrut(p5, p5 + ah5, 0.05*h5, colorByName('dark green'))
solids.addIcosahedron(p5 + ah5, h5/4, colorByName('dark magenta'))

solids.display()
runCommand("focus")
