import chimera, numpy
from chimera import runCommand
from numpy import array, random as rn
from StructBio.Graphs.graph import Graph, Node

runCommand("set bg_color white")

maxX = 64.; maxY = 32.; maxZ = 16.
numNodes = 32

g = Graph("Delaunay Tessellation")

for ix in range(numNodes):
    c = array((rn.random()*maxX, rn.random()*maxY, rn.random()*maxZ))
    g.addNode("V" + "%03d"%ix, Node(0.0, c, 0.7, tuple((rn.random(), rn.random(), rn.random()))))

g.buildDelaunayTessellation(15.0)
g.solids.display()

connectedComponents_L = g.getConnectedComponents(2, "Connected component")
for cc in connectedComponents_L:
    cc.solids.display()

edgesInFirstCC_L = connectedComponents_L[0].getArcTupleList()
gMinusFirstCC = g.getSubgraph_EdgesRemoved(edgesInFirstCC_L, "GraphWithoutFirstCC")
gMinusFirstCC.solids.display()




