import numpy as np
import matplotlib.pyplot as plot
from matplotlib.colors import ListedColormap


def generate2Dplot(zG_A, plotTitle):
    # zG_A should be a square array holding values in the range [0.0, 1.0].
    
    # [0,.5) black;  [.5, 1.] white:
    #cmap = ListedColormap(['#000000', '#FFFFFF'])

    # [0., 0.3333] black;   [.3333, .6666] gray;  [.6666, 1.0] white:
    #cmap = ListedColormap(['#000000', '#888888', '#FFFFFF'])

    # [0., 0.2] black; [.2, .4] dark gray;  [.4, .6] gray;
    #[.6, .8] light gray;  [.8, 1.] white
    #cmap = ListedColormap(['#000000', '#444444', '#888888', '#CCCCCC', '#FFFFFF'])

    # Higher resolution color map:
    cmap = ListedColormap(['#000000', '#222222', '#444444', '#666666', '#888888',
                           '#AAAAAA', '#CCCCCC', '#EEEEEE', '#FFFFFF'])
    
    n = int(zG_A.shape[0])
    xSeq = np.arange(0, n+1, 1)
    ySeq = np.arange(0, n+1, 1)

    # Use the next statement to have the main diagonal head to the "north west".
    #ySeq = np.arange(n, -1, -1)  

    xG, yG = np.meshgrid(xSeq, ySeq)

    plot.ion()
    plot.pcolor(xG, yG, zG_A, cmap = cmap)
    plot.axis([0, n, n, 0])
    #plot.axis([0, n, 0, n])
    plot.axes().set_aspect('equal')

    plot.title(plotTitle)

    raw_input("Hit Enter to dismiss the plot.")
    plot.close()

#==========================================================================================================
# MAINLINE
#==========================================================================================================

n = 200
zVals_A = np.zeros((n,n), float)
tp = 2.0*np.pi

for ix in range(n):
    for jx in range(n):
        zVals_A[ix, jx] = 0.25*(np.sin(tp*ix/n) + np.cos(3.0*tp*jx/n))**2

generate2Dplot(zVals_A, "0.25*(sin(2pi*x) + cos(6pi*y))**2")
