import numpy as np, matplotlib.pyplot as plt

def parametricPlot(x_L, y_L, color = "black", plotTitle = "", aspect = 1.0,
                   xAxisLabel = "", yAxisLabel = "", gridFlag = False):
    plt.ion()

    fig = plt.figure()
    fig.canvas.set_window_title("Parametric Plot")
    subplt = fig.add_subplot(111, aspect = aspect)

#    subplt.set_xlim([10., 28.])
#    subplt.set_ylim([-4., 12.])
#    subplt.set_xticks(np.array([10., 14., 18., 22., 26.,  28.]))
#    subplt.set_yticks(np.array([-4., 0., 4., 8., 12.]))

    subplt.grid(gridFlag)
    plt.setp(subplt.get_yticklabels(), fontsize = 10)
    plt.setp(subplt.get_xticklabels(), fontsize = 10)

    subplt.set_title(plotTitle, fontsize = 14)
    subplt.set_xlabel(xAxisLabel, fontsize = 12, style = 'italic')
    subplt.set_ylabel(yAxisLabel, fontsize = 12, style = 'italic')

    subplt.plot(x_L, y_L, color = color)

    raw_input("Hit Enter to dismiss the plot.")
    plt.close()
    
#===============================================================================
# Mainline for testing:

x_L = []
y_L = []
for t in np.arange(0.0, 201.0, 1.0):
    theta = 2.0*np.pi*t/100.
    x_L.append(6.0*np.pi + 3.0*(2.0*np.sin(theta) - np.sin(2.0*theta)))
    y_L.append(6.0 + 3.0*(2.0*np.cos(theta) - np.cos(2.0*theta)))


parametricPlot(x_L, y_L, plotTitle = "Cardioid",
               xAxisLabel = "x", yAxisLabel = "y")
