import chimera, Tkinter as tk
from chimera.baseDialog import ModelessDialog
import matplotlib.pyplot as plt
from matplotlib.backends.backend_tkagg import FigureCanvasTkAgg
from matplotlib.figure import Figure

class TkPlusPlot(ModelessDialog):
    buttons = ("Close")
    help = False    # Leave this out to get a Help button.
    title = "Window title goes here"

    def fillInUI(self, parent):
        # Text to be displayed in the dialog window:
        topText = tk.Label(parent, text =  " Text at top of dialog",
                           font = ("Helvetica", 11, "normal"))
        topText.grid(row = 0, column = 0, columnspan = 2, pady = 4, sticky = tk.W)

        #-----------------------------------------------------------------------

        fig = Figure(figsize = (6,6), dpi = 100)

        ax = fig.add_subplot(111, aspect = 'equal')
        ax.set_title("Your plot title goes here", fontsize = 14)
        ax.set_xlabel("X axis title", fontsize = 12)
        ax.set_ylabel("Y axis title", fontsize = 12)
        ax.set_xlim([-10, 10])
        ax.set_ylim([-10, 10])
        ax.set_xticks([-8, -6, -4, -2, 0, 2, 4, 6, 8])
        ax.set_yticks([-8, -6, -4, -2, 0, 2, 4, 6, 8])
        ax.grid(True, linestyle = '-', color = '0.75')
        ax.hlines(0, -10, 10, colors='k', linestyles='dashed')
        ax.vlines(0, -10, 10, colors='k', linestyles='dashed')
            
        ax.scatter([3., 5.], [-8., -3.], s = 20, color = 'r', marker = 's')
        ax.scatter([1., 2., -3., 6.], [5.3, 7.4, 2., -0.2], s = 20, color = 'g', marker = 'd')
        ax.scatter([2., 4., -7.], [9.3, 9.8, -2.], s = 20, color = 'b', marker = 'o')

        #-------------------------------------------------------------------------
        # Set up a canvas and put the Figure into it.
        canvasFrame = tk.Frame(parent, bd = 2, relief = tk.RIDGE)
        canvasFrame.grid(row = 2, column = 0, padx = 4, pady = 4, sticky = tk.E)

        canvas = FigureCanvasTkAgg(fig, master = canvasFrame)

        canvas.get_tk_widget().grid(row = 0, column = 0)
        
    
#===============================================================================
# Mainline for testing:        
wb = TkPlusPlot()


