import chimera
from chimera import runCommand
from StructBio.Plots.surfacePlotKit import (TickLists, SurfacePlot, Axes,
                                            QuadrantPlanes, GridLines, TickLabels,
                                            plotMultipleSurfaces, fetchSPB)



#===============================================================================
# Mainline:

runCommand("set bg_color white")

spb_L = []
for i in range(2):
    spb_L.append(fetchSPB())

if len(spb_L) == 2:
    
    ticks = TickLists(spb_L, 10)
    surfaceModels_L = plotMultipleSurfaces(spb_L, ticks)

    axes = Axes(ticks)
    axes.display()

    qPs = QuadrantPlanes(ticks)
    qPs.display()

    gLs = GridLines(ticks)
    gLs.display()

    tLabels = TickLabels(ticks)
    tLabels.setLabels("axesLabels", "black")
    tLabels.setLabels("xT_yMax", "red", stride = 1)
    tLabels.setLabels("yT_xMax", "forest green", stride = 1)
    tLabels.setLabels("zT_xMax", "blue", stride = 1)
