import chimera

def atomDescriptorToAtomObjectMap(p):
    map_D = {}
    for a in p.atoms:
        map_D[':' + str(a.residue.id.position) + '.' + a.residue.id.chainId + '@' + a.name] = a
    return map_D



#==============================================================================
# Mainline:
#==============================================================================

prot = chimera.openModels.open("1BRF", type="PDB")[0]

map_D = atomDescriptorToAtomObjectMap(prot)

print map_D[":54.A@FE"].name
print map_D[":8.A@SG"].name

for k in map_D.keys():
    print k, map_D[k].residue.id.position, map_D[k].residue.type

    
