import chimera
from chimera import runCommand

def writeChains(prot, unique = False):
    # We are assuming that prot is model 0.
    runCommand("split #0")
    writtenOutSeqs = set()
    for mod in chimera.openModels.get().list():
        seq = str(mod.sequences()[0])
        if unique and seq in writtenOutSeqs: continue
        else:
            writtenOutSeqs.add(seq)
            pathName = mod.name + ".pdb"
            commandStr = "write format pdb 0." + str(mod.subid) + " " + pathName
            runCommand(commandStr)

#=================================================================
# Mainline to test function
#=================================================================

pdbID = raw_input("Type in a PDB ID: ")

protein = chimera.openModels.open(pdbID[0:4], type = "PDB")[0]

writeChains(protein, unique = True)
