import chimera
from chimera import runCommand
import tkFileDialog

# Launch dialog to get path of PDB ID list:
filePathName = tkFileDialog.askopenfilename()
print "Path name for PDB file list is: ", filePathName

# Read file containing list of PDB identifiers:
listFileHandle = file(filePathName)
listFileHandle.readline()    # Skip first line
listLine = listFileHandle.readline()
while listLine:
    listLineEntries_L = listLine.split()
    pdbID = listLineEntries_L[0][0:4]
    inhibitorCode = listLineEntries_L[1][0:3]
    print pdbID, inhibitorCode
    prot_L = chimera.openModels.open(pdbID, type = "PDB")
    command = "select ::" + inhibitorCode
    runCommand(command)
    outFilePathName = listLine[0:4] + "_inhibitor.mol2"
    runCommand("write format mol2 selected 0 " + outFilePathName)
    listLine = listFileHandle.readline()   # Go for next pdbID in the list.
    chimera.openModels.close(prot_L)
    
listFileHandle.close()  # Close the list file.
