import chimera
from StructBio.Utilities.hiLite import HiLiter
from StructBio.HBonds import HBondDicts 

#==============================================================================
# INITIALIZATION statements:
protID = raw_input("Type in PDB ID:  ")
# Try 1FE3, 1A0S, 4BCL

prot = chimera.openModels.open(protID, type="PDB")[0]

hBonds = HBondDicts(prot)
hiLiter = HiLiter(prot, "white")

hiLiter.setVerbose(True)

for r in prot.residues:
    if not r.findAtom('N'): continue
    if not r.findAtom('N') in hBonds.hBond_D.keys(): continue
    donorAtom = r.findAtom('N')
    hiLiter.emphasize([donorAtom], hBonds.hBond_D[donorAtom])
    for a in hBonds.hBond_D[donorAtom]:
        print "Same chain? ", hBonds.hBondSameChain_D[(donorAtom, a)]
        print "Category: ", hBonds.hBondCategory_D[(donorAtom, a)]
    raw_input("Hit entry for next residue\n")

hiLiter.clearEmphasis()





