import chimera
from StructBio.Utilities.shellNeighbors import Shell
from StructBio.Utilities.hiLite import HiLiter

pdbIDchars = raw_input("Type in 4 character PDB ID or PDB file name: \n")
prot = chimera.openModels.open(pdbIDchars, type="PDB")[0]
atomList = prot.atoms

minR = 0.0
maxR = 4.0

shell = Shell(atomList, minR, maxR)
minRStr = "%4.1f" % minR
maxRStr = "%4.1f" % maxR

hiLiter = HiLiter(prot)
hiLiter.setVerbose(True)

print "Hit Enter key to go through alpha carbons"

for res in prot.residues:
    if not('CA' in res.atomNames()): continue
    centerAtom = res.findAtom('CA')
    alphaCneighbour_L = shell.getAtomsInShell(centerAtom)
    hiLiter.emphasize([centerAtom], alphaCneighbour_L, "Alpha Carbon: ",
                      "Near neighbors in shell (r = " + minRStr + ", R = " + maxRStr + "):")
    raw_input(" ")

hiLiter.clearEmphasis()




