import chimera
import numpy as np
from numpy import *

# Try: 4RXN, 1RB9, 1BRF

pdbIDchars = raw_input("Type in 4 character PDB ID or PDB file name: \n")
prot = chimera.openModels.open(pdbIDchars, type="PDB")[0]

# Build list of sulfur atoms:
s_atoms_L = []
for r in prot.residues:
    if r.type == "CYS":
        s_atoms_L.append(r.findAtom("SG"))

distances_D = {}
for ix in range(4):
    for jx in range(ix + 1,4):
        resPos_ix = s_atoms_L[ix].residue.id.position
        resPos_jx = s_atoms_L[jx].residue.id.position
        dist = np.linalg.norm(array(s_atoms_L[ix].coord()) - array(s_atoms_L[jx].coord()))
        distances_D[(resPos_ix, resPos_jx)] = dist

avg = np.average(distances_D.values())

print "   CYS        S-S       % deviation"
print "positions   distance    from average"

for k in distances_D.keys():
    dev = 100.0*(distances_D[k] - avg)/avg
    print "(%2d," % k[0], "%2d)" % k[1], "  %7.3f" % distances_D[k], "      %7.3f%%" % dev
                                 

