import chimera, numpy
from numpy import *

#==============================================================================
# Use a protein with a good selection of beta strands and helices (Eg. 1AON)
pdbIDchars = raw_input("Type in 4 character PDB ID or PDB file name: \n")
prot = chimera.openModels.open(pdbIDchars, type="PDB")[0]

# Data lists (atom names designate the center atom for the bond angle):
# H: helix, S: strand, L: loop.
phiH = []; phiS = []; phiL = []
psiH = []; psiS = []; psiL = []

for r in prot.residues:
    if r.phi and r.psi:
        if r.isHelix:
            phiH.append(r.phi)
            psiH.append(r.psi)
        if r.isStrand:
            phiS.append(r.phi)
            psiS.append(r.psi)
        if not r.isHelix and not r.isStrand:
            phiL.append(r.phi)
            psiL.append(r.psi)

print "PHI dihedral angles:"
print "Secondary      Mean      Standard    Max        Min          Sample"
print "Structure:               Deviation                            Size"
print "Helix:   " + 4*"%11.2f" % (array(phiH).mean(), array(phiH).std(), array(phiH).max(), array(phiH).min()), 7*" ", len(phiH)
print "Strand:  " + 4*"%11.2f" % (array(phiS).mean(), array(phiS).std(), array(phiS).max(), array(phiS).min()), 7*" ", len(phiS)
print "Loop:    " + 4*"%11.2f" % (array(phiL).mean(), array(phiL).std(), array(phiL).max(), array(phiL).min()), 7*" ", len(phiL)
print "\n"
            
print "PSI dihedral angles:"
print "Secondary      Mean      Standard    Max        Min          Sample"
print "Structure:               Deviation                            Size"
print "Helix:   " + 4*"%11.2f" % (array(psiH).mean(), array(psiH).std(), array(psiH).max(), array(psiH).min()), 7*" ", len(psiH)
print "Strand:  " + 4*"%11.2f" % (array(psiS).mean(), array(psiS).std(), array(psiS).max(), array(psiS).min()), 7*" ", len(psiS)
print "Loop:    " + 4*"%11.2f" % (array(psiL).mean(), array(psiL).std(), array(psiL).max(), array(psiL).min()), 7*" ", len(psiL)
print "\n"
            
